<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url	    : "modul/opname/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_satuan").val(data.satuan);
				$("#txt_jmlstok").val(data.jmlstok);
				$("#txt_jmlopn").val(data.jmlopn);
				$("#txt_hgbeli").val(data.hgbeli);
				$("#txt_jmlsls").val(data.jmlsls);
				$("#txt_jmlopn").focus();
			}
		});		
	}

	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url	    : "modul/opname/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/opname/tampil_data_detail.php?kode="+kode);
	}
	
</script>
<?php
include '../../inc/inc.koneksi.php';

$kode= $_GET['kode'];

echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Harga Pokok</th>
			<th>Jml. Stok</th>			
			<th>Jml. Opname</th>
			<th>Selisih</th>
			<th>Nilai Selisih</th>
			<th>Aksi</th>
		</tr>";
		$query = mysql_query("SELECT * FROM st_opname WHERE kode_op='$kode' AND posting='' ORDER BY kode_st desc");
		
		$no=1;
		$total=0;
		while($r=mysql_fetch_array($query)){
			$kode 	= $r['kode_op'].';'.$r['kode_st'];
			$total	= $total+$r['nilai_sls'];
			
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r[kode_st]</td>
				<td>$r[nama_st]</td>
				<td>$r[satuan]</td>
				<td align='right'>".number_format($r['hg_beli'],2)."</td>
				<td align='right'>".number_format($r['jml_stok'],0)."</td>
				<td align='right'>".number_format($r['jml_opn'],0)."</td>
				<td align='right'>".number_format($r['jml_sls'],0)."</td>
				<td align='right'>".number_format($r['nilai_sls'],2)."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$kode')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12'>
					</a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$kode')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12'>
					</a>
				</td>
			</tr>";
			$no++;			
		}
		echo "<tr>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td align='right'>Total</td>
			<td align='right'>".number_format($total,2)."</td>
		</tr>
	</table>";
?>